diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index 36d512f..e4e4f77 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -608,10 +608,11 @@ AlgebraicHermiteIntegration(F,UP,UPUP,R):Exports == Implementation where
                 qelt(vec, i))) case "failed" => return new(0, 0)
               qsetelt_!(ans, i, bc.coef1)
         ans
-      sol := particularSolution(map(#1::RF, mat)$MatrixCategoryFunctions2(UP,
+      sol := particularSolution(
+                       map(x+->x::RF, mat)$MatrixCategoryFunctions2(UP,
                          Vector UP, Vector UP, Matrix UP, RF,
                            Vector RF, Vector RF, Matrix RF),
-                             map(#1::RF, vec)$VectorFunctions2(UP,
+                             map(x+->x::RF, vec)$VectorFunctions2(UP,
                                RF))$LinearSystemMatrixPackage(RF,
                                         Vector RF, Vector RF, Matrix RF)
       sol case "failed" => new(0, 0)
diff --git a/changelog b/changelog
index 2db1bcc..2557282 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090508 tpd src/axiom-website/patches.html 20090508.08.tpd.patch
+20090508 tpd books/bookvol10.4 INTHERAL +-> conversion
 20090508 tpd src/axiom-website/patches.html 20090508.07.tpd.patch
 20090508 tpd books/bookvol10.2 CLAGG +-> conversion
 20090508 tpd src/axiom-website/patches.html 20090508.06.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index df19184..b255b79 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1128,5 +1128,7 @@ bookvol10.2 FEVALAB +-> conversion<br/>
 bookvol10.3 ALGFF +-> conversion<br/>
 <a href="patches/20090508.07.tpd.patch">20090508.07.tpd.patch</a>
 bookvol10.2 CLAGG +-> conversion<br/>
+<a href="patches/20090508.08.tpd.patch">20090508.08.tpd.patch</a>
+bookvol10.4 INTHERAL +-> conversion<br/>
  </body>
 </html>
